# Uses of Class
net.shibboleth.idp.attribute.XMLObjectAttributeValue

Packages that use XMLObjectAttributeValue
Package
Description
net.shibboleth.idp.saml.attribute.resolver.impl
Implementations of SAML related `AttributeDefinition` and `DataConnector`.
net.shibboleth.idp.saml.attribute.transcoding.impl
Implementations of SAML transcoders.

## Uses of XMLObjectAttributeValue in net.shibboleth.idp.saml.attribute.resolver.impl

Methods in net.shibboleth.idp.saml.attribute.resolver.impl that return XMLObjectAttributeValue
Modifier and Type
Method
Description
`private XMLObjectAttributeValue`
SAML1NameIdentifierAttributeDefinition.`encodeOneValue(IdPAttributeValue theValue, AttributeResolutionContext resolutionContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Worker function for doAttributeDefintionResolve.
`private XMLObjectAttributeValue`
SAML2NameIDAttributeDefinition.`encodeOneValue(IdPAttributeValue theValue, AttributeResolutionContext resolutionContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Worker function for doAttributeDefintionResolve.

## Uses of XMLObjectAttributeValue in net.shibboleth.idp.saml.attribute.transcoding.impl

Methods in net.shibboleth.idp.saml.attribute.transcoding.impl with parameters of type XMLObjectAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML1XMLObjectAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, XMLObjectAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.
`protected XMLObject`
SAML2XMLObjectAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, XMLObjectAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.